| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libdar::etage Struct Reference
Private

the etage structure keep trace of directory contents More...

`#include <etage.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| etage (user_interaction &ui, const char *dirname, const datetime &x_last_acc, const datetime &x_last_mod, bool cache_directory_tagging, bool furtive_read_mode)
bool | read (std::string &ref)
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Public Attributes
std::list< std::string > | fichier
datetime | last_mod
datetime | last_acc

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the etage structure keep trace of directory contents

it relies on the [fd]opendir() system call family than cannot be used recursively. Thus each etage structure contains the contents of a directory, and can then be stored beside other etage structures corresponding to subdirectories

Definition at line 47 of file etage.hpp.

The documentation for this struct was generated from the following file:

- etage.hpp